%global dlrn_nvr sushy-3.3.0-0.20200804091925.0dfe74a
%global dlrn 1
%define upstream_version 3.3.0
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global with_doc 0
%global sname sushy

%global common_desc \
Sushy is a Python library to communicate with Redfish based systems (http://redfish.dmtf.org)

%global common_desc_tests Tests for Sushy

Name: python-%{sname}
Version: 3.3.0
Release: 0.20200804091926.0dfe74a%{?dist}
Summary: Sushy is a Python library to communicate with Redfish based systems
License: ASL 2.0
URL: http://launchpad.net/%{sname}/

Source0: sushy-3.3.0-0.20200804091925.0dfe74a.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=0dfe74afdf6c363245022a0361bff306dd7a04e8
Patch0001: 0001-DOWNSTREAM-ONLY-Do-not-log-passwords-and-auth-tokens.patch

BuildArch: noarch

%description
%{common_desc}

%package -n python3-%{sname}
Summary: Sushy is a Python library to communicate with Redfish based systems
%{?python_provide:%python_provide python3-%{sname}}

BuildRequires: git
BuildRequires: python3-devel
BuildRequires: python3-pbr
BuildRequires: python3-setuptools
# For running unit tests during check phase
BuildRequires: python3-requests
BuildRequires: python3-dateutil
BuildRequires: python3-stevedore

Requires: python3-dateutil >= 2.7.0
Requires: python3-pbr >= 2.0.0
Requires: python3-requests >= 2.14.2
Requires: python3-stevedore >= 1.29.0

%description -n python3-%{sname}
%{common_desc}

%package -n python3-%{sname}-tests
Summary: Sushy tests
Requires: python3-%{sname} = %{version}-%{release}

BuildRequires: python3-oslotest
BuildRequires: python3-testrepository
BuildRequires: python3-testscenarios
BuildRequires: python3-testtools

Requires: python3-oslotest
Requires: python3-testrepository
Requires: python3-testscenarios
Requires: python3-testtools

%description -n python3-%{sname}-tests
%{common_desc_tests}

%if 0%{?with_doc}
%package -n python-%{sname}-doc
Summary: Sushy documentation

BuildRequires: python3-sphinx
BuildRequires: python3-sphinxcontrib-apidoc
BuildRequires: python3-openstackdocstheme

%description -n python-%{sname}-doc
Documentation for Sushy
%endif

%prep
%autosetup -n %{sname}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
rm -f *requirements.txt

%build
%{py3_build}

%if 0%{?with_doc}
# generate html docs
sphinx-build-3 -b html doc/source doc/build/html
# remove the sphinx-build-3 leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%check
%{__python3} setup.py test

%install
%{py3_install}

%files -n python3-%{sname}
%license LICENSE
%{python3_sitelib}/%{sname}
%{python3_sitelib}/%{sname}-*.egg-info
%exclude %{python3_sitelib}/%{sname}/tests

%files -n python3-%{sname}-tests
%license LICENSE
%{python3_sitelib}/%{sname}/tests

%if 0%{?with_doc}
%files -n python-%{sname}-doc
%license LICENSE
%doc doc/build/html README.rst
%endif

%changelog
* Fri Aug 28 2020 Lon Hohberger <lhh@redhat.com> 3.3.0-0.20200804091926.0dfe74a
- [DOWNSTREAM ONLY] Do not log passwords and auth tokens when using SessionService

* Tue Aug 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- drop mock from lower-constraints
- Add RAIDType properties to storage resources
- Make Volume/VolumeCollection operations blocking
- Remove python-subunit, testtools and testscenarios
- Switch to newer openstackdocstheme and reno versions
- Fix pdf build
- Remove translation sections from setup.cfg
- Fix OEM extension loading for different servers
- Update lower-constraints.txt
- Fix pep8 test
- Restore default netboot boot option
- Add py38 package metadata
- Add import order check
- Use unittest.mock instead of third party mock
- Stop configuring install_command in tox.
- Add Python3 victoria unit tests
- Update master for stable/ussuri
- Convert sushy tempest to dib
- Cleanup py27 support
- Switch to the new canonical constraints URL on master
- [trivial] add reason why we skip W503 in pep8 check

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump hacking to 3.0.0
- Explicitly set ramdisk type
- Ignore failing message registry download
- Lazily load message registries
- Add `Connector(..., response_callback=None)`` parameter
- Make MessageRegistryFile.Registry attribute non-required
- Add `set_system_boot_options` method
- Fix incorrect usage of assertRaisesRegex in unit tests

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Relax required Redfish fields handling
- Fix 'None' field value processing
- Automatically discover available system/manager/chassis
- Handle incomplete messages in MessageRegistry
- Add Task Monitor support for async operations
- Enforce running tox with correct python version based on env
- SSC.disks_sizes_bytes handle CapacityBytes is None
- Stop using six library

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add OEM extension example script"
- Add OEM extension example script
- Drop python 2.7 support and testing
- Switch jobs to python3
- Fix typo in the section Enabling SSL
- Add versions to release notes series
- Update master for stable/train

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

